Bug 52537 - Netgear ethernet module crashes on boot on SMP box
Netgear ethernet module crashes on boot on SMP box
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-24 15:34 EDT by Ryan Waldron
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-24 15:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Waldron 2001-08-24 15:34:01 EDT
Description of Problem:
Using Netgear FA-311 10/100 PCI ethernet card (NatSemi module) on a dual-
processor PIII mobo, here are the initial bootup messages for eth0:

Aug 24 13:15:56 localhost kernel: PCI: Found IRQ 11 for device 00:10.0
Aug 24 13:15:56 localhost kernel: eth0: NatSemi DP83815 at 0xf8917000, 
00:02:e3:02:ef:f9, IRQ 11.
Aug 24 13:15:56 localhost kernel: eth0: Transceiver status 0x7869 
advertising 05e1.
Aug 24 13:15:56 localhost kernel: eth0: Setting full-duplex based on 
negotiated link capability.

When we get to run level 3, though, and try to bring up eth0, the kernel 
panics.  It doesn't even write the panic message to the dmesg or boot.log 
or /var/log/messages, just dumps it to the screen and dies.

We're going to attach a dump of the contents of the screen after this 
happens (and the machine locks up).

Version-Release number of selected component (if applicable):

How Reproducible:

This happens every time if we choose the SMP option for the kernel and use 
a Netgear card.  Removing a processor, changing network cards, or choosing 
the uni-processor kernel on boot, all prevent the crash.

Get a Netgear PCI FA-311 10/100 card.  Put it in a dual-processor 
motherboard.  Install roswell and boot it up.

Steps to Reproduce:
1. Install a Netgear PCI FA-311 10/100 card (natsemi chipset) in a dual-
processor machine
2. Install roswell
3. Boot into networking config

Actual Results:

Expected Results:

Additional Information:

Going to copy the screen dump by hand, as it doesn't put it ot any file we 
can find, and attach to bug report after submission.
Comment 1 Arjan van de Ven 2001-08-27 08:41:20 EDT
> The 2.4.7-2.99 kernel seems to fix the bug.  We were able
> to reproduce it every time on the earlier one, and it doesn't oops at
> all now.

thanks for testing!

Note You need to log in before you can comment on or make changes to this bug.